<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Lqjjdbean" type="cn.vp.XXX.model.LqjjdBean"/> -->	

		<typeAlias alias="Lqjjd" type="cn.im.lqzh.LqjjdBean"/>
	
	<sql id="condition_Lqjjd">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like concat('%',#LIKExh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjdbh'>
			(jjdbh like concat('%',#LIKEjjdbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjdbh'>
			(jjdbh = #jjdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjly'>
			(jjly like concat('%',#LIKEjjly# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjly'>
			(jjly = #jjly# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsj'>
			(bjsj like concat('%',#LIKEbjsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsj'>
			(bjsj = #bjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjry'>
			(bjry like concat('%',#LIKEbjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjry'>
			(bjry = #bjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjdh'>
			(bjdh like concat('%',#LIKEbjdh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjdh'>
			(bjdh = #bjdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjdd'>
			(bjdd like concat('%',#LIKEbjdd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjdd'>
			(bjdd = #bjdd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjwd'>
			(bjwd like concat('%',#LIKEbjwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjwd'>
			(bjwd = #bjwd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjjd'>
			(bjjd like concat('%',#LIKEbjjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjjd'>
			(bjjd = #bjjd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjtbh'>
			(jjtbh like concat('%',#LIKEjjtbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjtbh'>
			(jjtbh = #jjtbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjdzt'>
			(jjdzt like concat('%',#LIKEjjdzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjdzt'>
			(jjdzt = #jjdzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjry'>
			(jjry like concat('%',#LIKEjjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjry'>
			(jjry = #jjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqlx'>
			(jqlx like concat('%',#LIKEjqlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqlx'>
			(jqlx = #jqlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqdl'>
			(jqdl like concat('%',#LIKEjqdl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqdl'>
			(jqdl = #jqdl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqxl'>
			(jqxl like concat('%',#LIKEjqxl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqxl'>
			(jqxl = #jqxl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjjsj'>
			(jjsj like concat('%',#LIKEjjsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jjsj'>
			(jjsj = #jjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqjb'>
			(jqjb like concat('%',#LIKEjqjb# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqjb'>
			(jqjb = #jqjb# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqdd'>
			(jqdd like concat('%',#LIKEjqdd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqdd'>
			(jqdd = #jqdd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqxx'>
			(jqxx like concat('%',#LIKEjqxx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqxx'>
			(jqxx = #jqxx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjqzt'>
			(jqzt like concat('%',#LIKEjqzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jqzt'>
			(jqzt = #jqzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmbh'>
			(bmbh like concat('%',#LIKEbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbmmc'>
			(bmmc like concat('%',#LIKEbmmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bmmc'>
			(bmmc = #bmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEclrybh'>
			(clrybh like concat('%',#LIKEclrybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='clrybh'>
			(clrybh = #clrybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEclbmbh'>
			(clbmbh like concat('%',#LIKEclbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='clbmbh'>
			(clbmbh = #clbmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEclzt'>
			(clzt like concat('%',#LIKEclzt# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='clzt'>
			(clzt = #clzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEclxx'>
			(clxx like concat('%',#LIKEclxx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='clxx'>
			(clxx = #clxx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElybh'>
			(lybh like concat('%',#LIKElybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lybh'>
			(lybh = #lybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExqbh'>
			(xqbh like concat('%',#LIKExqbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xqbh'>
			(xqbh = #xqbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhybh'>
			(hybh like concat('%',#LIKEhybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hybh'>
			(hybh = #hybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhysbh'>
			(hysbh like concat('%',#LIKEhysbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hysbh'>
			(hysbh = #hysbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Lqjjd" parameterClass="java.util.Map">
		insert into 
		lqjjd(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdbh'>jjdbh</isNotEmpty>
			<isNotEmpty prepend=',' property='jjly'>jjly</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsj'>bjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='bjry'>bjry</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdh'>bjdh</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdd'>bjdd</isNotEmpty>
			<isNotEmpty prepend=',' property='bjwd'>bjwd</isNotEmpty>
			<isNotEmpty prepend=',' property='bjjd'>bjjd</isNotEmpty>
			<isNotEmpty prepend=',' property='jjtbh'>jjtbh</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdzt'>jjdzt</isNotEmpty>
			<isNotEmpty prepend=',' property='jjry'>jjry</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>jqlx</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>jqdl</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>jqxl</isNotEmpty>
			<isNotEmpty prepend=',' property='jjsj'>jjsj</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjb'>jqjb</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdd'>jqdd</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxx'>jqxx</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>jqzt</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc</isNotEmpty>
			<isNotEmpty prepend=',' property='clrybh'>clrybh</isNotEmpty>
			<isNotEmpty prepend=',' property='clbmbh'>clbmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='clzt'>clzt</isNotEmpty>
			<isNotEmpty prepend=',' property='clxx'>clxx</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='lybh'>lybh</isNotEmpty>
			<isNotEmpty prepend=',' property='xqbh'>xqbh</isNotEmpty>
			<isNotEmpty prepend=',' property='hybh'>hybh</isNotEmpty>
			<isNotEmpty prepend=',' property='hysbh'>hysbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdbh'>#jjdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjly'>#jjly#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsj'>#bjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjry'>#bjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdh'>#bjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdd'>#bjdd#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjwd'>#bjwd#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjjd'>#bjjd#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjtbh'>#jjtbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdzt'>#jjdzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjry'>#jjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>#jqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>#jqdl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>#jqxl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjsj'>#jjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjb'>#jqjb#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdd'>#jqdd#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxx'>#jqxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>#jqzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='clrybh'>#clrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='clbmbh'>#clbmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='clzt'>#clzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='clxx'>#clxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='lybh'>#lybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqbh'>#xqbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hybh'>#hybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hysbh'>#hysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Lqjjd" parameterClass="java.util.Map">
		update lqjjd 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='jjdbh'>jjdbh=#jjdbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjly'>jjly=#jjly#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsj'>bjsj=#bjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjry'>bjry=#bjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdh'>bjdh=#bjdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjdd'>bjdd=#bjdd#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjwd'>bjwd=#bjwd#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjjd'>bjjd=#bjjd#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjtbh'>jjtbh=#jjtbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjdzt'>jjdzt=#jjdzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjry'>jjry=#jjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqlx'>jqlx=#jqlx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdl'>jqdl=#jqdl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxl'>jqxl=#jqxl#</isNotEmpty>
			<isNotEmpty prepend=',' property='jjsj'>jjsj=#jjsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqjb'>jqjb=#jqjb#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqdd'>jqdd=#jqdd#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqxx'>jqxx=#jqxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jqzt'>jqzt=#jqzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh=#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmmc'>bmmc=#bmmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='clrybh'>clrybh=#clrybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='clbmbh'>clbmbh=#clbmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='clzt'>clzt=#clzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='clxx'>clxx=#clxx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='lybh'>lybh=#lybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='xqbh'>xqbh=#xqbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hybh'>hybh=#hybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hysbh'>hysbh=#hysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjdbh'> jjdbh = #XGTJjjdbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjly'> jjly = #XGTJjjly# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjsj'> bjsj = #XGTJbjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjry'> bjry = #XGTJbjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjdh'> bjdh = #XGTJbjdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjdd'> bjdd = #XGTJbjdd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjwd'> bjwd = #XGTJbjwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjjd'> bjjd = #XGTJbjjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjtbh'> jjtbh = #XGTJjjtbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjdzt'> jjdzt = #XGTJjjdzt# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjry'> jjry = #XGTJjjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqlx'> jqlx = #XGTJjqlx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqdl'> jqdl = #XGTJjqdl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqxl'> jqxl = #XGTJjqxl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjjsj'> jjsj = #XGTJjjsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqjb'> jqjb = #XGTJjqjb# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqdd'> jqdd = #XGTJjqdd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqxx'> jqxx = #XGTJjqxx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjqzt'> jqzt = #XGTJjqzt# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbmbh'> bmbh = #XGTJbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbmmc'> bmmc = #XGTJbmmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJclrybh'> clrybh = #XGTJclrybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJclbmbh'> clbmbh = #XGTJclbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJclzt'> clzt = #XGTJclzt# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJclxx'> clxx = #XGTJclxx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlybh'> lybh = #XGTJlybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxqbh'> xqbh = #XGTJxqbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhybh'> hybh = #XGTJhybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhysbh'> hysbh = #XGTJhysbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Lqjjd" parameterClass="java.util.Map">
		delete from lqjjd 
		<include refid="condition_Lqjjd"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Lqjjd" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,jjdbh,jjly,bjsj,bjry,bjdh,bjdd,bjwd,bjjd,jjtbh,jjdzt,jjry,jqlx,jqdl,jqxl,jjsj,jqjb,jqdd,jqxx,jqzt,bmbh,bmmc,clrybh,clbmbh,clzt,clxx,jd,wd,lybh,xqbh,hybh,hysbh,cjry,cjrq,xgry,xgrq,bz
		from lqjjd 
		<include refid="condition_Lqjjd"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Lqjjd" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from lqjjd 
		<include refid="condition_Lqjjd"/>			
	</select>
	
</sqlMap>











